Retrieve all user credentials data
Returns metadata for all the credentials issued to the provided userId.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>userId*stringThe user ID represents a unique identifier for a user in the system. The user ID is generated by the system when a user is created, and is returned in the response when retrieving users.
uuidlimit?numberRange size of returned list.
1 <= value <= 1000100cursor?stringStarting point for the list of entries.
User credentials retrieved
application/json- response
data?array<||>- Includes metadata for all credentials referenced by the provided
UserId. - Properties returned depend on the credential type, with the exception of the following properties which are always returned:
idtypeprofilesessionIdcredentialConfigurationId
- Properties are only returned for credentials issued using Platform v11.0.0 or later, with the exception of the following properties which are always returned:
idtypeprofilesessionId
nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET "https://example.com/v1/users/41458e5a-9092-40b7-9a26-d4eb43c5792f/credentials"{ "data": [ { "id": "552b35fe-a3ed-4c33-8c3c-64810c712323", "type": "org.iso.18013.5.1.mDL", "profile": "mobile", "offerId": "b0877ef9-deaf-4c88-8765-2b5aad2913d9", "sessionId": "4da5bce7-39d0-482e-8972-c674c688e01a", "credentialConfigurationId": "3948c40e-6e19-4ffc-933c-91f643f24264", "devicePublicKey": { "kty": "EC", "crv": "P-256", "x": "11qYAYKxCrfVS_7TyWQHOg7hcvPapiMlrwIaaPcHURo" }, "namespaces": { "org.iso.18013.5.1": { "given_name": { "digestID": 0, "digest": "8GWbUyIRA2xATs5ILEa0fVZF1QQt4JL5gG2aCtVsazU" }, "family_name": { "digestID": 1, "digest": "R4jk/m0wX9KhENp7DVPr9AM7Hz+CJoEJNKJRQo92FCI" } } }, "msoHash": "OsPO++ARsvvJYswmuzN8E3rxN+jAkbWbxhqVIOfM1Go", "issuedDate": "2025-06-28T12:34:56.000Z", "validFrom": "2025-06-30T12:00:00.000Z", "validUntil": "2025-07-30T12:00:00.000Z", "status": "valid" } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?
Search users POST
Returns a list of users from the tenant that match all the provided search criteria (all criteria are optional).
Retrieve all credential references GET
Retrieve all credential references associated with the specified user. A credential reference is a logical identifier for a credential, independent of any particular wallet or device. When a credential is issued to a user, it may be stored in multiple wallets or on multiple devices. Each stored instance is a separate copy, but all copies represent the same underlying credential. The credential reference stays the same across all of these instances, allowing issuers to consistently identify and interact with the credential regardless of where the user holds it.